# Interface ClientAuthConfig

All Superinterfaces:
  `AuthConfig`

public interface ClientAuthConfig extends AuthConfig
Client-side authentication configuration obtained from an `AuthConfigProvider`. A ClientAuthConfig provides the configuration needed to create a `ClientAuthContext` for authenticating outbound requests.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClientAuthContext`
  `getAuthContext(String authContextID, Subject clientSubject, Map<String,Object> properties)`
  Creates a `ClientAuthContext` for the specified authentication context ID.

  ### Methods inherited from interface AuthConfig

  `getAppContext, getAuthContextID, getMessageLayer, isProtected, refresh`

- ## Method Details

  - ### getAuthContext

    ClientAuthContext getAuthContext(String authContextID, Subject clientSubject, Map<String,Object> properties) throws AuthException
    Creates a `ClientAuthContext` for the specified authentication context ID.
    Parameters:
      `authContextID` - the authentication context ID
      `clientSubject` - the subject representing the client, to be populated upon successful authentication
      `properties` - additional configuration properties
    Returns:
      the ClientAuthContext, or `null` if the authContextID is not recognized
    Throws:
      `AuthException` - if an error occurs while creating the context